<?php

namespace CountriesStates\CountriesState;

use DB;
use Illuminate\Database\Seeder;

class CitiesTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('cities')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'countries_state.cities.view',
                'name'      => 'View Cities',
            ],
            [
                'slug'      => 'countries_state.cities.create',
                'name'      => 'Create Cities',
            ],
            [
                'slug'      => 'countries_state.cities.edit',
                'name'      => 'Update Cities',
            ],
            [
                'slug'      => 'countries_state.cities.delete',
                'name'      => 'Delete Cities',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'countries_state.cities.verify',
                'name'      => 'Verify Cities',
            ],
            [
                'slug'      => 'countries_state.cities.approve',
                'name'      => 'Approve Cities',
            ],
            [
                'slug'      => 'countries_state.cities.publish',
                'name'      => 'Publish Cities',
            ],
            [
                'slug'      => 'countries_state.cities.unpublish',
                'name'      => 'Unpublish Cities',
            ],
            [
                'slug'      => 'countries_state.cities.cancel',
                'name'      => 'Cancel Cities',
            ],
            [
                'slug'      => 'countries_state.cities.archive',
                'name'      => 'Archive Cities',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/countries_state/cities',
                'name'        => 'Cities',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/countries_state/cities',
                'name'        => 'Cities',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'cities',
                'name'        => 'Cities',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'CountriesState',
                'module'    => 'Cities',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'countries_state.cities.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
