<?php

namespace CountriesStates\CountriesState;

use DB;
use Illuminate\Database\Seeder;

class CountriesTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('countries')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'countries_state.countries.view',
                'name'      => 'View Countries',
            ],
            [
                'slug'      => 'countries_state.countries.create',
                'name'      => 'Create Countries',
            ],
            [
                'slug'      => 'countries_state.countries.edit',
                'name'      => 'Update Countries',
            ],
            [
                'slug'      => 'countries_state.countries.delete',
                'name'      => 'Delete Countries',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'countries_state.countries.verify',
                'name'      => 'Verify Countries',
            ],
            [
                'slug'      => 'countries_state.countries.approve',
                'name'      => 'Approve Countries',
            ],
            [
                'slug'      => 'countries_state.countries.publish',
                'name'      => 'Publish Countries',
            ],
            [
                'slug'      => 'countries_state.countries.unpublish',
                'name'      => 'Unpublish Countries',
            ],
            [
                'slug'      => 'countries_state.countries.cancel',
                'name'      => 'Cancel Countries',
            ],
            [
                'slug'      => 'countries_state.countries.archive',
                'name'      => 'Archive Countries',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/countries_state/countries',
                'name'        => 'Countries',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/countries_state/countries',
                'name'        => 'Countries',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'countries',
                'name'        => 'Countries',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'CountriesState',
                'module'    => 'Countries',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'countries_state.countries.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
