<?php

namespace CountriesStates\CountriesState;

use DB;
use Illuminate\Database\Seeder;

class StatesTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('states')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'countries_state.states.view',
                'name'      => 'View States',
            ],
            [
                'slug'      => 'countries_state.states.create',
                'name'      => 'Create States',
            ],
            [
                'slug'      => 'countries_state.states.edit',
                'name'      => 'Update States',
            ],
            [
                'slug'      => 'countries_state.states.delete',
                'name'      => 'Delete States',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'countries_state.states.verify',
                'name'      => 'Verify States',
            ],
            [
                'slug'      => 'countries_state.states.approve',
                'name'      => 'Approve States',
            ],
            [
                'slug'      => 'countries_state.states.publish',
                'name'      => 'Publish States',
            ],
            [
                'slug'      => 'countries_state.states.unpublish',
                'name'      => 'Unpublish States',
            ],
            [
                'slug'      => 'countries_state.states.cancel',
                'name'      => 'Cancel States',
            ],
            [
                'slug'      => 'countries_state.states.archive',
                'name'      => 'Archive States',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/countries_state/states',
                'name'        => 'States',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/countries_state/states',
                'name'        => 'States',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'states',
                'name'        => 'States',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'CountriesState',
                'module'    => 'States',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'countries_state.states.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
