<?php

namespace CountriesStates\CountriesState\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Countries policy
        'CountriesStates\CountriesState\Models\Countries' => \CountriesStates\CountriesState\Policies\CountriesPolicy::class,// Bind States policy
        'CountriesStates\CountriesState\Models\States' => \CountriesStates\CountriesState\Policies\StatesPolicy::class,// Bind Cities policy
        'CountriesStates\CountriesState\Models\Cities' => \CountriesStates\CountriesState\Policies\CitiesPolicy::class,// Bind Area policy
        'CountriesStates\CountriesState\Models\Area' => \CountriesStates\CountriesState\Policies\AreaPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
