<?php

namespace CountriesStates\CountriesState\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class AreaTransformer extends TransformerAbstract
{
    public function transform(\CountriesStates\CountriesState\Models\Area $area)
    {
        return [
            'id'                => $area->getRouteKey(),
            'key'               => [
                'public'    => $area->getPublicKey(),
                'route'     => $area->getRouteKey(),
            ], 
            'AreaName'          => $area->AreaName,
            'City_id'           => $area->City_id,
            'description'       => $area->description,
            'image'             => $area->image,
            'url'               => [
                'public'    => trans_url('countries_state/'.$area->getPublicKey()),
                'user'      => guard_url('countries_state/area/'.$area->getRouteKey()),
            ], 
            'status'            => trans('app.'.$area->status),
            'created_at'        => format_date($area->created_at),
            'updated_at'        => format_date($area->updated_at),
        ];
    }
}