<?php

namespace CountriesStates\CountriesState\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CitiesTransformer extends TransformerAbstract
{
    public function transform(\CountriesStates\CountriesState\Models\Cities $cities)
    {
        return [
            'id'                => $cities->getRouteKey(),
            'key'               => [
                'public'    => $cities->getPublicKey(),
                'route'     => $cities->getRouteKey(),
            ], 
            'name'              => $cities->name,
            'state_id'          => $cities->state_id,
            'url'               => [
                'public'    => trans_url('countries_state/'.$cities->getPublicKey()),
                'user'      => guard_url('countries_state/cities/'.$cities->getRouteKey()),
            ], 
            'status'            => trans('app.'.$cities->status),
            'created_at'        => format_date($cities->created_at),
            'updated_at'        => format_date($cities->updated_at),
        ];
    }
}