<?php

namespace CountriesStates\CountriesState\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CountriesTransformer extends TransformerAbstract
{
    public function transform(\CountriesStates\CountriesState\Models\Countries $countries)
    {
        return [
            'id'                => $countries->getRouteKey(),
            'key'               => [
                'public'    => $countries->getPublicKey(),
                'route'     => $countries->getRouteKey(),
            ], 
            'sortname'          => $countries->sortname,
            'name'              => $countries->name,
            'phonecode'         => $countries->phonecode,
            'url'               => [
                'public'    => trans_url('countries_state/'.$countries->getPublicKey()),
                'user'      => guard_url('countries_state/countries/'.$countries->getRouteKey()),
            ], 
            'status'            => trans('app.'.$countries->status),
            'created_at'        => format_date($countries->created_at),
            'updated_at'        => format_date($countries->updated_at),
        ];
    }
}