<?php

namespace CountriesStates\CountriesState\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class StatesTransformer extends TransformerAbstract
{
    public function transform(\CountriesStates\CountriesState\Models\States $states)
    {
        return [
            'id'                => $states->getRouteKey(),
            'key'               => [
                'public'    => $states->getPublicKey(),
                'route'     => $states->getRouteKey(),
            ], 
            'name'              => $states->name,
            'country_id'        => $states->country_id,
            'url'               => [
                'public'    => trans_url('countries_state/'.$states->getPublicKey()),
                'user'      => guard_url('countries_state/states/'.$states->getRouteKey()),
            ], 
            'status'            => trans('app.'.$states->status),
            'created_at'        => format_date($states->created_at),
            'updated_at'        => format_date($states->updated_at),
        ];
    }
}