<?php

namespace CountriesStates\CountriesState\Workflow;

use CountriesStates\CountriesState\Models\Area;
use CountriesStates\CountriesState\Notifications\AreaWorkflow as AreaNotifyer;
use Notification;

class AreaNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Area $area
     *
     * @return void
     */
    public function complete(Area $area)
    {
        return Notification::send($area->user, new AreaNotifyer($area, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Area $area
     *
     * @return void
     */
    public function verify(Area $area)
    {
        return Notification::send($area->user, new AreaNotifyer($area, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Area $area
     *
     * @return void
     */
    public function approve(Area $area)
    {
        return Notification::send($area->user, new AreaNotifyer($area, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Area $area
     *
     * @return void
     */
    public function publish(Area $area)
    {
        return Notification::send($area->user, new AreaNotifyer($area, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Area $area
     *
     * @return void
     */
    public function archive(Area $area)
    {
        return Notification::send($area->user, new AreaNotifyer($area, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Area $area
     *
     * @return void
     */
    public function unpublish(Area $area)
    {
        return Notification::send($area->user, new AreaNotifyer($area, 'unpublish'));;

    }
}
