<?php

namespace CountriesStates\CountriesState\Workflow;

use CountriesStates\CountriesState\Models\Cities;
use CountriesStates\CountriesState\Notifications\CitiesWorkflow as CitiesNotifyer;
use Notification;

class CitiesNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Cities $cities
     *
     * @return void
     */
    public function complete(Cities $cities)
    {
        return Notification::send($cities->user, new CitiesNotifyer($cities, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Cities $cities
     *
     * @return void
     */
    public function verify(Cities $cities)
    {
        return Notification::send($cities->user, new CitiesNotifyer($cities, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Cities $cities
     *
     * @return void
     */
    public function approve(Cities $cities)
    {
        return Notification::send($cities->user, new CitiesNotifyer($cities, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Cities $cities
     *
     * @return void
     */
    public function publish(Cities $cities)
    {
        return Notification::send($cities->user, new CitiesNotifyer($cities, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Cities $cities
     *
     * @return void
     */
    public function archive(Cities $cities)
    {
        return Notification::send($cities->user, new CitiesNotifyer($cities, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Cities $cities
     *
     * @return void
     */
    public function unpublish(Cities $cities)
    {
        return Notification::send($cities->user, new CitiesNotifyer($cities, 'unpublish'));;

    }
}
