<?php

namespace CountriesStates\CountriesState\Workflow;

use CountriesStates\CountriesState\Models\Countries;
use CountriesStates\CountriesState\Notifications\CountriesWorkflow as CountriesNotifyer;
use Notification;

class CountriesNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Countries $countries
     *
     * @return void
     */
    public function complete(Countries $countries)
    {
        return Notification::send($countries->user, new CountriesNotifyer($countries, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Countries $countries
     *
     * @return void
     */
    public function verify(Countries $countries)
    {
        return Notification::send($countries->user, new CountriesNotifyer($countries, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Countries $countries
     *
     * @return void
     */
    public function approve(Countries $countries)
    {
        return Notification::send($countries->user, new CountriesNotifyer($countries, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Countries $countries
     *
     * @return void
     */
    public function publish(Countries $countries)
    {
        return Notification::send($countries->user, new CountriesNotifyer($countries, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Countries $countries
     *
     * @return void
     */
    public function archive(Countries $countries)
    {
        return Notification::send($countries->user, new CountriesNotifyer($countries, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Countries $countries
     *
     * @return void
     */
    public function unpublish(Countries $countries)
    {
        return Notification::send($countries->user, new CountriesNotifyer($countries, 'unpublish'));;

    }
}
