<?php

namespace CountriesStates\CountriesState\Workflow;

use CountriesStates\CountriesState\Models\States;
use CountriesStates\CountriesState\Notifications\StatesWorkflow as StatesNotifyer;
use Notification;

class StatesNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param States $states
     *
     * @return void
     */
    public function complete(States $states)
    {
        return Notification::send($states->user, new StatesNotifyer($states, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param States $states
     *
     * @return void
     */
    public function verify(States $states)
    {
        return Notification::send($states->user, new StatesNotifyer($states, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param States $states
     *
     * @return void
     */
    public function approve(States $states)
    {
        return Notification::send($states->user, new StatesNotifyer($states, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param States $states
     *
     * @return void
     */
    public function publish(States $states)
    {
        return Notification::send($states->user, new StatesNotifyer($states, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param States $states
     *
     * @return void
     */
    public function archive(States $states)
    {
        return Notification::send($states->user, new StatesNotifyer($states, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param States $states
     *
     * @return void
     */
    public function unpublish(States $states)
    {
        return Notification::send($states->user, new StatesNotifyer($states, 'unpublish'));;

    }
}
